/** 
 * 
 * Copyright 2005 LogicBlaze, Inc. http://www.logicblaze.com
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.servicemix.jbi.component;

import org.servicemix.jbi.NotInitialisedYetException;
import org.servicemix.jbi.container.ActivationSpec;
import org.w3c.dom.DocumentFragment;
import org.springframework.context.ApplicationContext;
import org.springframework.beans.factory.BeanFactory;

import javax.jbi.component.Bootstrap;
import javax.jbi.component.InstallationContext;
import javax.jbi.component.ComponentContext;
import javax.jbi.JBIException;
import javax.management.ObjectName;
import java.util.Map;
import java.util.Iterator;

/**
 * A Spring implementation of the {@link Bootstrap}
 *
 * @version $Revision: 1.1 $
 */
public class SpringBootstrap implements Bootstrap {
    private InstallationContext installContext;
    private ObjectName extensionMBeanName;
    private ApplicationContext applicationContext;

    public void init(InstallationContext installContext) throws JBIException {
        this.installContext = installContext;
    }

    public void cleanUp() throws JBIException {
    }

    public ObjectName getExtensionMBeanName() {
        return extensionMBeanName;
    }

    public void onInstall() throws JBIException {
        if (installContext == null) {
            throw new NotInitialisedYetException();
        }
        DocumentFragment fragment = installContext.getInstallationDescriptorExtension();

        // lets load this from Spring...
        Map map = applicationContext.getBeansOfType(ActivationSpec.class, false, false);
        for (Iterator iter = map.values().iterator(); iter.hasNext(); ) {
            ActivationSpec spec = (ActivationSpec) iter.next();
        }
    }

    public void onUninstall() throws JBIException {
    }

    public InstallationContext getInstallContext() {
        return installContext;
    }
}
